package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_外出招商对象 zsyz_wczs
 * 
 * @author ruoyi
 * @date 2023-03-16
 */
public class ZsyzWczs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 年 */
    @Excel(name = "年")
    private String year;

    /** 月 */
    @Excel(name = "月")
    private String month;

    /** 外出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "外出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date outsideTime;

    /** 外出天数 */
    @Excel(name = "外出天数")
    private Integer numberOutings;

    /**外出人员**/
    private String outgoer;

    /** 说明 */
    @Excel(name = "说明")
    private String details;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setOutsideTime(Date outsideTime) 
    {
        this.outsideTime = outsideTime;
    }

    public Date getOutsideTime() 
    {
        return outsideTime;
    }
    public void setNumberOutings(Integer numberOutings) 
    {
        this.numberOutings = numberOutings;
    }

    public Integer getNumberOutings() 
    {
        return numberOutings;
    }
    public void setDetails(String details) 
    {
        this.details = details;
    }

    public String getDetails() 
    {
        return details;
    }

    public String getOutgoer() {
        return outgoer;
    }

    public void setOutgoer(String outgoer) {
        this.outgoer = outgoer;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("year", getYear())
            .append("month", getMonth())
            .append("outsideTime", getOutsideTime())
            .append("numberOutings", getNumberOutings())
            .append("details", getDetails())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
